class LoadingModule {
    _error = {
        loadingModule: 'Me Qr-Code Loading module not found.',
    }

    constructor(configs) {
        this._configs = {
            loadingModuleSelector: '.me-qr-loading-module',
            ...configs
        };
    }

    show() {
        this._get().removeClass('me-qr-d-none');
    }

    hide() {
        this._get().addClass('me-qr-d-none');
    }

    remove() {
        this._get().remove()
    }

    _get() {
        const loadingModule = $(this._configs.loadingModuleSelector);
        if ( !loadingModule ) {
            throw new Error(this._error.loadingModule);
        }

        return loadingModule;
    }
}
