<?php

// <----- API configs
// This is the maximum wait time for a server response before a server unreachable exception is thrown.
// Value in seconds.
const ME_QR_REQUEST_TIMEOUT = 10;
// END API configs ----->


// <----- Logs configs
// If true, the plugin will send plugin error logs to the plugin developer
// This is a token for the bot that sends plugin error logs. We do not collect application data that could be harmful.
// Data is collected only about the operation of the plugin
const ME_QR_IS_SENDING_TG_LOGS = true;

// If true, the plugin will log plugin errors to the general application log,
// if logging mode is enabled in the application
const ME_QR_IS_WRITING_PLUGIN_LOGS = true;

// If true, the plugin may throw some important errors in the admin panel
const ME_QR_IS_SHOW_ADMIN_NOTIFICATION = true;
// END Logs configs ----->
