<?php

// <----- API configs
// Url for admin registration on our server.
// This allows you to identify the application and restore qr codes if the plugin is deleted.
const ME_QR_USER_CREATION_URL = 'https://me-qr.com/api/wordpress/create/user';

// Url to get a qr-code of one format
const ME_QR_GET_QR_REQUEST_URL = 'https://me-qr.com/api/wordpress/create/qr';

// Url to get qr-code in several formats
const ME_QR_GET_ALL_QR_REQUEST_URL = 'https://me-qr.com/api/wordpress/create/all-qr';

// This is the name of the user token parameter, which is written to the _options table in case of successful user
// registration on our server
const ME_QR_USER_TOKEN_PARAM_TITLE = 'me_qr_user_qr_token';
// END API configs ----->


// <----- TGLog configs
const ME_QR_TELEGRAM_BOT_TOKEN = 'NTg1OTU5ODMyMTpBQdddddUVSaExMdkxQTEZhZklXOEFNQ1VqSjRDQ2ZTbzd3aGhLdw==';
const ME_QR_TELEGRAM_CHAT_ID = 'LTEwMDE4MTA2MDE0NDQ=';

// This is the name of the _options table parameter for storing non-unique exception locations in the plugin
// Needed to filter the sending of duplicate logs
const ME_QR_UNIQUE_KEY_EXCEPTIONS_OPTION_TITLE = 'me_qr_unique_exceptions';
// END TGLog configs ----->


// <----- Other configs
// Title of me-qr plugin content directory
const ME_QR_CONTENT_DIR_TITLE = '/me-qr-data';

// Title of qr codes download directory
const ME_QR_CODE_DOWNLOAD_DIR_TITLE = ME_QR_CONTENT_DIR_TITLE . '/qr-codes';

// Sets allowed formats for qr code
const ME_QR_PNG_FORMAT = 'png';
const ME_QR_SVG_FORMAT = 'svg';
const ME_QR_VALID_QR_FORMATS = [ME_QR_PNG_FORMAT, ME_QR_SVG_FORMAT];
