<?php

namespace Me_Qr\Entity;

class UserEntityBuilder
{
    public static function build(
        int $id ,
        string $userEmail,
        string $userRegistered
    ): UserEntity {
        return new UserEntity(
            $id,
            $userEmail,
            $userRegistered
        );
    }

    public static function buildDbObject( object $userEntity ): UserEntity
    {
        $id = $userEntity->ID ?? 0;
        $userEmail = $userEntity->user_email ?? '';
        $userRegistered = $userEntity->user_registered ?? '';

        return new UserEntity($id, $userEmail, $userRegistered);
    }
}
