<?php

namespace Me_Qr\Exceptions\QrCode;

use Exception;

class QrCodeNotFoundException extends Exception implements QrCodeExceptionInterface
{
    public function __construct(?string $message = null)
    {
        if (!$message) {
            $message = 'The requested qr code was not generated due to an unknown error.';
        }

        parent::__construct($message);
    }
}
