<?php

namespace Me_Qr\Services\File;

class DirectoryUploadService
{
    public static function getUploadDirectory(): string
    {
        return wp_upload_dir()['basedir'];
    }

    public static function deleteMeQrContentDirectory(): void
    {
        $dir = self::getUploadDirectory() . ME_QR_CONTENT_DIR_TITLE;
        FileService::deleteFolder($dir);
    }

    public static function createQrDirectory(): void
    {
        $dir = self::getUploadDirectory() . ME_QR_CODE_DOWNLOAD_DIR_TITLE;
        wp_mkdir_p($dir);
    }

    public static function deleteQrDirectory(): void
    {
        $dir = self::getUploadDirectory() . ME_QR_CODE_DOWNLOAD_DIR_TITLE;
        FileService::deleteFolder($dir);
    }
}
