<?php

namespace Me_Qr\Services\Loggers\FileLog\Types;

abstract class AbstractFileLogType
{
    protected function writeToLog(string $message): void
    {
        if ( !$this->isWriteAllowed() ) {
            return;
        }

        if ( ME_QR_IS_WRITING_PLUGIN_LOGS === true ) {
            error_log($message);
        }
    }

    private function isWriteAllowed(): bool
    {
        return WP_DEBUG_LOG === true;
    }
}