<?php

namespace Me_Qr\Services\QrProvider\DTO;

class AllQrFormatProviderDTO
{
    private QrProviderDTO $pngQr;
    private QrProviderDTO $svgQr;

    public function __construct(
        QrProviderDTO $pngQr,
        QrProviderDTO $svgQr
    ) {
        $this->pngQr = $pngQr;
        $this->svgQr = $svgQr;
    }

    public function getPngQr(): QrProviderDTO
    {
        return $this->pngQr;
    }

    public function setPngQr(QrProviderDTO $pngQr): self
    {
        $this->pngQr = $pngQr;

        return $this;
    }

    public function getSvgQr(): QrProviderDTO
    {
        return $this->svgQr;
    }

    public function setSvgQr(QrProviderDTO $svgQr): self
    {
        $this->svgQr = $svgQr;

        return $this;
    }
}
