<?php

namespace Me_Qr\Services\QrProvider\DTO;

class QrProviderDTO
{
    private string $qrCode;
    private string $format;

    public function __construct(
        string $qrCode,
        string $format
    ) {
        $this->qrCode = $qrCode;
        $this->format = $format;
    }

    public function getQrCode(): string
    {
        return $this->qrCode;
    }
    
    public function setQrCode(string $qrCode): self
    {
        $this->qrCode = $qrCode;

        return $this;
    }

    public function getFormat(): string
    {
        return $this->format;
    }

    public function setFormat(string $format): self
    {
        $this->format = $format;

        return $this;
    }
}
