<?php

namespace Me_Qr\Services\QrRequest\DTO;

class AllQrFormatRequestDTO
{
    private string $pngQr;
    private string $svgQr;

    public function __construct(
        string $pngQr,
        string $svgQr
    ) {
        $this->pngQr = $pngQr;
        $this->svgQr = $svgQr;
    }

    public function getPngQr(): string
    {
        return $this->pngQr;
    }

    public function setPngQr(string $pngQr): self
    {
        $this->pngQr = $pngQr;

        return $this;
    }

    public function getSvgQr(): string
    {
        return $this->svgQr;
    }

    public function setSvgQr(string $svgQr): self
    {
        $this->svgQr = $svgQr;

        return $this;
    }
}
