<?php

namespace Me_Qr\Services\Shortcodes\Exceptions;

use Exception;

class ShortcodeDataException extends Exception
{
    public function __construct(?string $message = null)
    {
        if (!$message) {
            $message = 'Shortcode data error';
        }

        parent::__construct('Shortcode display error. ' . $message);
    }
}
