<?php

namespace Me_Qr\Services\Template\Exceptions;

use Exception;

class TemplateParamsException extends Exception implements TemplateExceptionInterface
{
    public function __construct(string $paramKey, string $templatePath = null)
    {
        $message = "Template $templatePath rendering error. Required parameter '$paramKey' not found";

        parent::__construct($message);
    }
}
