<?php

namespace Me_Qr\Services\Validation\Assert\Types;

class NumericType extends AbstractValidationType
{
    public const MODULE_TITLE = 'NumericType';

    protected ?string $errorMessage =
        'The specified value "{{ value }}" of the property {{ property }}, must be a ' .
        'numeric type, {{ type }} is specified'
    ;

    public function isValid(): bool
    {
        if ( $this->value === null ) {
            return true;
        }

        return is_numeric($this->value);
    }
}
