<?php

namespace Me_Qr\Entity;

class UserEntity
{
    private int $id;
    private string $userEmail;
    private string $userRegistered;

    public function __construct(
        int $id,
        string $userEmail,
        string $userRegistered
    ) {
        $this->id = $id;
        $this->userEmail = $userEmail;
        $this->userRegistered = $userRegistered;
    }

    public function getId(): int
    {
        return $this->id;
    }

    public function setId(int $id): self
    {
        $this->id = $id;

        return $this;
    }

    public function getUserEmail(): string
    {
        return $this->userEmail;
    }

    public function setUserEmail(string $userEmail): self
    {
        $this->userEmail = $userEmail;

        return $this;
    }

    public function getUserRegistered(): string
    {
        return $this->userRegistered;
    }

    public function setUserRegistered(string $userRegistered): self
    {
        $this->userRegistered = $userRegistered;

        return $this;
    }
}
