<?php

namespace Me_Qr\Services\File;

class FileService
{
    public static function deleteFolder(string $folderPath, bool $deleteSelf = true): void
    {
        $folderPath = untrailingslashit( $folderPath );

        $glob = glob( "$folderPath/{,.}[!.,!..]*", GLOB_BRACE );
        foreach( $glob as $file ){
            if ( is_dir($file) ) {
                call_user_func(__FUNCTION__, $file);
            } else {
                unlink($file);
            }
        }

        if ( $deleteSelf ) {
            rmdir( $folderPath );
        }
    }
}
