<?php

namespace Me_Qr\Services\Loggers\FileLog\Types;

use Throwable;

class FileErrorLog extends AbstractFileLogType
{
    public function createError(string $message): void
    {
        $result = "MQP|MeQr plugin error|  $message";

        $this->writeToLog($result);
    }

    public function createException(Throwable $exception): void
    {
        $result = 'Message: ' . $exception->getMessage() . ';   ';
        $result .= 'Error file:' . $exception->getFile(). '(' . $exception->getLine() . ')   ';

        $this->createError($result);
    }
}