<?php

namespace Me_Qr\Services\Url;

class DevService
{
    public static function isDevMode(): bool
    {
        if ( WP_DEBUG === true || WP_DEBUG_DISPLAY === true ) {
            return true;
        }
        if ( ServerService::isLocalhost() ) {
            return true;
        }
        if ( !ServerService::isHttpsProtocol() ) {
            return true;
        }


        return false;
    }
}