<?php

namespace Me_Qr\Services\Url;

class ServerService
{
    public static function isHttpsProtocol(): bool
    {
        return !empty($_SERVER['HTTPS']) && 'off' !== strtolower($_SERVER['HTTPS']);
    }

    public static function isLocalhost(): bool
    {
        if ( stripos( get_site_url(), 'localhost' ) !== false ) {
            return true;
        }
        if ( strpos(get_site_url(), '127.0.0.1' ) !== false ) {
            return true;
        }
        if ( $_SERVER['REMOTE_ADDR'] === '127.0.0.1' ) {
            return true;
        }

        return false;
    }
}