<?php

namespace Me_Qr\Services\UserRegistration;

class UserQrTokenService
{
    public static function get(): ?string
    {
        return get_option( ME_QR_USER_TOKEN_PARAM_TITLE, null );
    }

    public static function set(string $token): void
    {
        add_option(ME_QR_USER_TOKEN_PARAM_TITLE, $token );
    }

    public static function delete(): void
    {
        delete_option(ME_QR_USER_TOKEN_PARAM_TITLE );
    }
}