<?php

namespace Me_Qr\Services\Validation\Assert;

use Me_Qr\Services\Validation\Assert\Types\NumericType;
use Me_Qr\Services\Validation\Assert\Types\NotBlank;
use Me_Qr\Services\Validation\Assert\Types\QrCode\QrFormatType;
use Me_Qr\Services\Validation\Assert\Types\StringType;

interface AssertConfigs
{
    public const ASSERT_ANNOTATION_TITLE = 'MeQrAssert\\';

    public const ASSERT_TYPES = [
        NotBlank::MODULE_TITLE => NotBlank::class,
        NumericType::MODULE_TITLE => NumericType::class,
        StringType::MODULE_TITLE => StringType::class,
        QrFormatType::MODULE_TITLE => QrFormatType::class,
    ];
}
