<?php

namespace Me_Qr\Services\Validation\Assert\Types;

class NotBlank extends AbstractValidationType
{
    public const MODULE_TITLE = 'NotBlank';

    protected ?string $errorMessage = 'The specified property value is {{ property }}, cannot be empty';

    public function isValid(): bool
    {
        return !($this->value === null || $this->value === '');
    }
}
