<?php

use Me_Qr\Services\Template\TemplateParams;

return static function( TemplateParams $params ): void
{
    $message = $params->get('message', 'Unknown error');

    ?>
    <div class="notice notice-error is-dismissible">
        <p>
            <i><b><?php echo( ME_QR_PLUGIN_DATA['name']); ?></b> plugin error</i>
            <span>|&nbsp;&nbsp;</span>
            <?php echo( $message ); ?>
        </p>
    </div>
    <?php
};
